net.sourceforge.pmd.symboltable

## Class TypeSetTest

- java.lang.Object
- - net.sourceforge.pmd.symboltable.TypeSetTest

    public class TypeSetTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`TypeSetTest()`

### Method Summary

Methods
`void` `importOnDemandResolverFail1()`
`void` `importOnDemandResolverFail2()`
`static junit.framework.Test` `suite()`
`void` `testAddImport()`
`void` `testASTCompilationUnitPackage()`
`void` `testCurrentPackageResolverPass()`
`void` `testExplicitImportResolver()`
`void` `testFindClassExplicitImport()`
`void` `testFindClassImplicitImport()`
`void` `testFindClassImportOnDemand()`
`void` `testFindClassPrimitive()`
`void` `testFindClassSamePackage()`
`void` `testFindClassVoid()`
`void` `testFindFullyQualified()`
`void` `testImplicitImportResolverPass()`
`void` `testImplicitImportResolverPassFail()`
`void` `testImportOnDemandResolverPass()`
`void` `testPrimitiveTypeResolver()`
`void` `testVoidTypeResolver()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TypeSetTest

    public TypeSetTest()

### Method Detail

#### testASTCompilationUnitPackage

    public void testASTCompilationUnitPackage()

#### testAddImport

    public void testAddImport()

#### testFindClassImplicitImport

    public void testFindClassImplicitImport()
                                     throws Throwable

Throws:
  `Throwable`

#### testFindClassSamePackage

    public void testFindClassSamePackage()
                                  throws Throwable

Throws:
  `Throwable`

#### testFindClassExplicitImport

    public void testFindClassExplicitImport()
                                     throws Throwable

Throws:
  `Throwable`

#### testFindClassImportOnDemand

    public void testFindClassImportOnDemand()
                                     throws Throwable

Throws:
  `Throwable`

#### testFindClassPrimitive

    public void testFindClassPrimitive()
                                throws Throwable

Throws:
  `Throwable`

#### testFindClassVoid

    public void testFindClassVoid()
                           throws Throwable

Throws:
  `Throwable`

#### testFindFullyQualified

    public void testFindFullyQualified()
                                throws Throwable

Throws:
  `Throwable`

#### testPrimitiveTypeResolver

    public void testPrimitiveTypeResolver()
                                   throws Throwable

Throws:
  `Throwable`

#### testVoidTypeResolver

    public void testVoidTypeResolver()
                              throws Throwable

Throws:
  `Throwable`

#### testExplicitImportResolver

    public void testExplicitImportResolver()
                                    throws Throwable

Throws:
  `Throwable`

#### testImplicitImportResolverPass

    public void testImplicitImportResolverPass()
                                        throws Throwable

Throws:
  `Throwable`

#### testImplicitImportResolverPassFail

    public void testImplicitImportResolverPassFail()
                                            throws Throwable

Throws:
  `Throwable`

#### testCurrentPackageResolverPass

    public void testCurrentPackageResolverPass()
                                        throws Throwable

Throws:
  `Throwable`

#### testImportOnDemandResolverPass

    public void testImportOnDemandResolverPass()
                                        throws Throwable

Throws:
  `Throwable`

#### importOnDemandResolverFail1

    public void importOnDemandResolverFail1()
                                     throws Throwable

Throws:
  `Throwable`

#### importOnDemandResolverFail2

    public void importOnDemandResolverFail2()
                                     throws Throwable

Throws:
  `Throwable`

#### suite

    public static junit.framework.Test suite()